petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNGMRESSetRestartFmRise

Increase the restart count if the step x_M increases the residual F_M

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetRestartFmRise(SNES snes,PetscBool flg)

### Input Parameters

+ snes - the SNES context. - flg - boolean value deciding whether to use the option or not

### Options Database

+ -snes_ngmres_restart_fm_rise - Increase the restart count if the step x_M increases the residual F_M

### Notes

If the proposed step x_M increases the residual F_M, it might be trying to get out of a stagnation area. To help the solver do that, reset the Krylov subspace whenever F_M increases.

This option must be used with SNES_NGMRES_RESTART_DIFFERENCE

The default is FALSE. .seealso: SNES_NGMRES_RESTART_DIFFERENCE

### Level

intermediate

### Location

src/snes/impls/ngmres/snesngmres.c

### Implementations

SNESNGMRESSetRestartFmRise_NGMRES in src/snes/impls/ngmres/snesngmres.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages